Download it now!
Bug 82859 - FILEOPEN: RTF - frame appears with black background
Summary: FILEOPEN: RTF - frame appears with black background
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.4.0 target:4.3.4
Keywords: filter:rtf, regression
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2014-08-20 10:44 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-17 12:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-20 10:44:54 UTC
Steps:
1) Open attachment 104971 [details] on page 2, you will notice 2 frames
2) Save it as an RTF, close it and reopen it
3) Goto page 2 and the second frame will have a black background.

Tested in 4.3.2 (2014-08-09) on Linux and 4.3.2 (2014-08-19) on Windows. This doesnt effect 4.3.0 or 4.4.
Comment 1 Yousuf Philips (jay) (retired) 2014-08-20 10:55:32 UTC
Didnt set the version number to 4.3.1 or 4.3.2 as they are not listed. This bug also effects 4.3.1 as my test of the 4.3 development branch on the 1st of this month also showed this bug.
Comment 2 tommy27 2014-08-21 18:32:45 UTC
not reproducible with 4.3.0.4
reproducible with 4.4.0.0.alpha0+
Build ID: ab1892d0cdabc305c1264792d5d3d66ed733d823
TinderBox: Win-x86@42, Branch:master, Time: 2014-08-09_06:12:53

tested under Win7x64

@Joel
would you please add newer 4.3.x releases to bugzilla?
at least 4.3.1.1 rc is missing.
Comment 3 Miklos Vajna 2014-10-24 15:26:19 UTC
There are two problems with this on current master:

1) The document can't be opened at all, as we try to set a CustomShapeGeometry property on a TextFrame and that aborts the importer.
2) If I use 4.3 to create the RTF file, then on master I can see the black background as well. Sounds like the 0xffffffff fill color is stored as a signed int32 somewhere, so it overflows and becomes black.
Comment 6 Marina Latini (CIB) 2015-01-15 14:11:27 UTC
Verified on:

* Version: 4.5.0.0.alpha0+
* Build ID: 84c69550bcb8139669de9cf98b51c35f21fe853d
* TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-01-13_08:44:23
* Locale: it_IT

On Ubuntu 14.04.1 LTS x86_64 with fresh user profile
Comment 7 Robinson Tryon (qubit) 2015-12-17 12:51:21 UTC Comment hidden (obsolete)